use harmony::{
    inventory::Inventory,
    modules::dummy::{ErrorScore, PanicScore, SuccessScore},
    topology::LocalhostTopology,
};

#[tokio::main]
async fn main() {
    harmony_cli::run(
        Inventory::autoload(),
        LocalhostTopology::new(),
        vec![
            Box::new(SuccessScore {}),
            Box::new(ErrorScore {}),
            Box::new(PanicScore {}),
        ],
        None,
    )
    .await
    .unwrap();
}
